'use strict';

// releases
const babes = require('./babes');
const bang = require('./bang');
const dogfart = require('./dogfart');
const digitalplayground = require('./digitalplayground');
const fakehub = require('./fakehub');
const jayrock = require('./jayrock');
const kink = require('./kink');
const mikeadriano = require('./mikeadriano');
const milehighmedia = require('./milehighmedia');
const perfectgonzo = require('./perfectgonzo');
const pervcity = require('./pervcity');
const pornpros = require('./pornpros');
const privateNetwork = require('./private'); // reserved keyword
const puretaboo = require('./puretaboo');
const mindgeek = require('./mindgeek');
const realitykings = require('./realitykings');
const teamskeet = require('./teamskeet');
const vixen = require('./vixen');
const vogov = require('./vogov');

// releases and profiles
const bangbros = require('./bangbros');
const blowpass = require('./blowpass');
const brazzers = require('./brazzers');
const ddfnetwork = require('./ddfnetwork');
const evilangel = require('./evilangel');
const julesjordan = require('./julesjordan');
const kellymadison = require('./kellymadison');
const legalporno = require('./legalporno');
const men = require('./men');
const metrohd = require('./metrohd');
const mofos = require('./mofos');
const naughtyamerica = require('./naughtyamerica');
const score = require('./score');
const twentyonesextury = require('./21sextury');
const xempire = require('./xempire');
const wicked = require('./wicked');

// profiles
const boobpedia = require('./boobpedia');
const freeones = require('./freeones');
const freeonesLegacy = require('./freeones_legacy');
const iconmale = require('./iconmale');
const transangels = require('./transangels');
const pornhub = require('./pornhub');

module.exports = {
    releases: {
        '21sextury': twentyonesextury,
        babes,
        bang,
        bangbros,
        blowpass,
        brazzers,
        ddfnetwork,
        metrohd,
        digitalplayground,
        dogfart,
        dogfartnetwork: dogfart,
        evilangel,
        fakehub,
        jayrock,
        julesjordan,
        kellymadison,
        kink,
        legalporno,
        men,
        mikeadriano,
        milehighmedia,
        mindgeek,
        mofos,
        perfectgonzo,
        pervcity,
        pornpros,
        private: privateNetwork,
        puretaboo,
        naughtyamerica,
        realitykings,
        score,
        teamskeet,
        vixen,
        vogov,
        wicked,
        xempire,
    },
    actors: {
        // ordered by data priority
        '21sextury': twentyonesextury,
        babes,
        bangbros,
        blowpass,
        boobpedia,
        brazzers,
        ddfnetwork,
        digitalplayground,
        evilangel,
        fakehub,
        freeones,
        freeonesLegacy,
        iconmale,
        julesjordan,
        kellymadison,
        legalporno,
        men,
        metrohd,
        milehighmedia,
        mofos,
        naughtyamerica,
        pornhub,
        realitykings,
        score,
        transangels,
        wicked,
        xempire,
    },
};
